org.keycloak.authorization.jpa.store

## Class JPAAuthorizationStoreFactory

- java.lang.Object
- - org.keycloak.authorization.jpa.store.JPAAuthorizationStoreFactory

- All Implemented Interfaces:
    AuthorizationStoreFactory, ProviderFactory<StoreFactory>

      public class JPAAuthorizationStoreFactory
      extends Object
      implements AuthorizationStoreFactory

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAAuthorizationStoreFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `StoreFactory` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `int` | `order()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authorization.store.AuthorizationStoreFactory

      `postInit, registerSynchronizationListeners`

- - ### Constructor Detail

    - #### JPAAuthorizationStoreFactory

          public JPAAuthorizationStoreFactory()

  - ### Method Detail

    - #### create

          public StoreFactory create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<StoreFactory>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<StoreFactory>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<StoreFactory>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<StoreFactory>`

    - #### order

          public int order()

      Specified by:
        `order` in interface `ProviderFactory<StoreFactory>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.